package com.xzzn.ems.domain.vo;

import java.math.BigDecimal;

/**
 * 首页看板数据
 *
 */
public class SiteVo {
    /**
     * 站点总数（座）
     */
    private int siteNum;

    /**
     * 装机功率（MW）
     */
    private BigDecimal installedPower;

    /**
     * 装机容量（MW）
     */
    private BigDecimal installedCap;

    /**
     * 总充电量（MWH）
     */
    private BigDecimal totalChargedCap;

    /**
     * 总放电量（MWH）
     */
    private BigDecimal totalDischargedCap;

    public int getSiteNum() {
        return siteNum;
    }

    public void setSiteNum(int siteNum) {
        this.siteNum = siteNum;
    }

    public BigDecimal getTotalDischargedCap() {
        return totalDischargedCap;
    }

    public void setTotalDischargedCap(BigDecimal totalDischargedCap) {
        this.totalDischargedCap = totalDischargedCap;
    }

    public BigDecimal getTotalChargedCap() {
        return totalChargedCap;
    }

    public void setTotalChargedCap(BigDecimal totalChargedCap) {
        this.totalChargedCap = totalChargedCap;
    }

    public BigDecimal getInstalledCap() {
        return installedCap;
    }

    public void setInstalledCap(BigDecimal installedCap) {
        this.installedCap = installedCap;
    }

    public BigDecimal getInstalledPower() {
        return installedPower;
    }

    public void setInstalledPower(BigDecimal installedPower) {
        this.installedPower = installedPower;
    }

    @Override
    public String toString() {
        return "SiteVo{" +
                "siteNum=" + siteNum +
                ", installedPower=" + installedPower +
                ", installedCap=" + installedCap +
                ", totalChargedCap=" + totalChargedCap +
                ", totalDischargedCap=" + totalDischargedCap +
                '}';
    }
}
